#{extends 'border.html'/}
<div class="container-fluid">
#{extends 'border.html'/}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li class="active">&{'form_permohonan.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-2">
            #{include 'pl/filter-produk-permohonan.html'/}
        </div>

        <div class="col-md-10">
            <h4>&{'daftar_produk.label'}</h4>
        #{alert /}
        #{form @katalog.PermohonanPembaruanCtr.submitProdukPermohonan() , method:'POST', id:'formProdukPerm'}
            #{if !model.items.isEmpty()}
                <!-- Toolbar -->
                <div class="toolbar">
                    #{backButton action:@katalog.PermohonanPembaruanCtr.index()/}
                    #{if showButtonSimpan}
                        <input type="submit" value="&{'simpan.label'}" class="btn btn-primary"/>
                    #{/if}
                </div>
                <!-- End Toolbar -->

                <div class="panel panel-default">
                    <input type="hidden" id="pmb" name="pmb" value="${pmb.id}">
                    <div class="panel-body" style="overflow-x: auto">
                        <!-- Data Table -->
                        <table class="table table-striped" id="produk">
                            <thead>
                            <tr>
                                <th></th>
                                <th class="header-center">&{'nomor.label'}</th>
                                <th class="header-center">&{'nama_komoditas.label'}</th>
                                <th>&{'gambar.label'}</th>
                                <th class="header-center">&{'produk.label'}</th>
                                <th class="header-center">&{'nama_penyedia.label'}</th>
                                <th class="header-center">&{'status_produk.label'}</th>
                                <th class="column-center">&{'info.label'}</th>
                                <th class="column-center">&{'spesifikasi.label'}</th>
                                <th class="column-center">&{'lampiran.label'}</th>
                                <th class="column-center">&{'gambar.label'}</th>
                                <th class="column-center">&{'harga.label'}</th>
                            </tr>
                            </thead>
                            <tbody>
                                #{set idx = (paramQuery.page - 1) * 20 /} *{default 20}*
                                #{list model.items, as:"i"}
                                <tr>
                                    <td class="column-center"><input type="hidden" name='idProduk' value='${i.id}'/>
                                    </td>
                                    <td class="column-center"><h5>${idx = idx + 1}.</h5></td>
                                    <td class="column-left">${i.nama_komoditas}</td>
                                    <td class="column-center"><img src="${i.getImageUrl()}" class="img img-responsive"
                                                                   onerror="this.src='@{'/public/images/image-not-found.png'}';"/>
                                    </td>
                                    <td class="column-left"><a href="${i.getDetailUrl()}"
                                                               target="_blank"><b>${i.no_produk}</b><br>${i.no_produk_penyedia}
                                        <br>${i.nama_manufaktur} ${i.nama_produk}</a></td>
                                    <td class="column-left">${i.nama_penyedia}</td>
                                    <td class="column-center">
                                        #{if i.setuju_tolak == 'setuju' || i.setuju_tolak == 'tolak'}
                                            #{if i.setuju_tolak == 'setuju'}&{'disetujui.label'}#{/if}
                                            #{else}&{'ditolak.label'}#{/else}
                                        #{/if}
                                        #{else i.minta_disetujui == 0 || i.minta_disetujui == 1}
                                        #{if i.minta_disetujui == 1}&{'minta_persetujuan.label'}#{/if}
                                        #{else}&{'persiapan.label'}#{/else}
                                    #{/else}
                                    </td>
                                    <td class="column-center"><label>&{'pilih.label'}</label><br><input type="checkbox"
                                                                                                        name='info'
                                                                                                        value='${i.id}'/>
                                    </td>
                                    <td class="column-center"><label>&{'pilih.label'}</label><br><input type="checkbox"
                                                                                                        name='spec'
                                                                                                        value='${i.id}'/>
                                    </td>
                                    <td class="column-center"><label>&{'pilih.label'}</label><br><input type="checkbox"
                                                                                                        name='lamp'
                                                                                                        value='${i.id}'/>
                                    </td>
                                    <td class="column-center"><label>&{'pilih.label'}</label><br><input type="checkbox"
                                                                                                        name='gambar'
                                                                                                        value='${i.id}'/>
                                    </td>
                                    <td class="column-center"><label>&{'pilih.label'}</label><br><input type="checkbox"
                                                                                                        name='harga'
                                                                                                        value='${i.id}'/>
                                    </td>
                                #{/list}
                            </tbody>
                        </table>
                        <!-- End Data Table -->
                    </div>
                </div>
                #{pagination (model.getPageAble("id="+pmb.id)) /}
            #{/if}
            #{else }
                #{ListDefaultMessage type:"Produk"/}
            #{/else}
        </div>
        #{/form}
    </div>
</div>